{% extends 'base.html' %}

{% block contenido %}

  <div class="container">
    <br>
    <form action="{% url 'cambiar_perfil' %}" method="POST" class="col s12">
      {% csrf_token %}

      <div class="row">
        <div class="input-field col s12">
          <input id="username" type="text" value="{{object.username|default_if_none:""}}" readonly disabled>
          <label for="username">Nombre de usuario</label>
        </div>
      </div>

      <div class="row">
        <div class="input-field col s12 m6 l6">
          <input id="nombre" type="text" class="validate" name="first_name" value="{{object.first_name|default_if_none:""}}">
          <label for="nombre">Nombre(s)</label>
        </div>

        <div class="input-field col s12 m6 l6">
          <input id="apellidos" type="text" class="validate" name="last_name" value="{{object.last_name|default_if_none:""}}">
          <label for="apellidos">Apellidos</label>
        </div>
      </div>
      <h6>Contacto:</h6>
      <div class="row">
        <div class="input-field col s12 m6 l6">
          <input type="email" value="{{object.email|default_if_none:""}}" readonly disabled>
          <label>Correo electrónico</label>
          <p>Cambiar correo electrónico <a href="{% url 'cambiar_email' %}">aquí</a>.</p>
        </div>

        <div class="input-field col s12 m6 l6">
          <input id="telefono" type="tel" class="validate" name="telefono" value="{{object.telefono|default_if_none:""}}">
          <label for="telefono">Telefono</label>
        </div>
      </div>
      <h6>Dirección:</h6>
      <div class="row">
        <div class="input-field col s12 m6 l4">
          <input id="pais" type="text" class="validate" name="pais" value="{{object.pais|default_if_none:""}}">
          <label for="pais">Pais</label>
        </div>

        <div class="input-field col s12 m6 l4">
          <input id="estado" type="text" class="validate" name="estado" value="{{object.estado|default_if_none:""}}">
          <label for="estado">Estado</label>
        </div>

        <div class="input-field col s12 m6 l4">
          <input id="municipio" type="text" class="validate" name="municipio" value="{{object.municipio|default_if_none:""}}">
          <label for="municipio">Municipio</label>
        </div>

        <div class="input-field col s12 m6 l4">
          <input id="localidad" type="text" class="validate" name="localidad" value="{{object.localidad|default_if_none:""}}">
          <label for="localidad">Localidad</label>
        </div>

        <div class="input-field col s12 m6 l2">
          <input id="codigoPostal" type="text" class="validate" name="codigoPostal" value="{{object.codigoPostal|default_if_none:""}}">
          <label for="codigoPostal">Código Postal</label>
        </div>

        <div class="input-field col s12 m6 l4">
          <input id="calle" type="text" class="validate" name="calle" value="{{object.calle|default_if_none:""}}">
          <label for="calle">Calle</label>
        </div>
        
        <div class="input-field col s6 m6 l1">
          <input id="numeroInt" type="text" class="validate" name="numeroInt" value="{{object.numeroInt|default_if_none:""}}">
          <label for="numeroInt">Núm. Int.</label>
        </div>

        <div class="input-field col s6 m6 l1">
          <input id="numeroExt" type="text" class="validate" name="numeroExt" value="{{object.numeroExt|default_if_none:""}}">
          <label for="numeroExt">Núm. Ext.</label>
        </div>

      </div>

      <center>
        <button class="btn-large waves-effect waves-light" type="submit">
          Guardar
        </button>
      </center>

    </form>
    <br>
  </div>

  
{% endblock contenido %}